Summary:	Small library to interface with ALSA in the Linux kernel
Summary(pl.UTF-8):	Mała biblioteka do współpracy z podsystemem ALSA w jądrze Linuksa
Name:		tinyalsa
Version:	1.0.2
Release:	1
License:	BSD
Group:		Libraries
#Source0Download: https://github.com/tinyalsa/tinyalsa/releases
Source0:	https://github.com/tinyalsa/tinyalsa/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	174ca31afec04c91eab0a194df7dd0b4
Patch0:		%{name}-soname.patch
URL:		https://github.com/tinyalsa/tinyalsa
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
tinyalsa is a small library to interface with ALSA in the Linux
kernel. The aims are:
- Provide a basic PCM and mixer API
- If it's not absolutely needed, don't add it to the API
- Avoid supporting complex and unnecessary operations that could be
  dealt with at a higher level

%description -l pl.UTF-8
tinyalsa to mała biblioteka do współpracy z podsystemem ALSA w jądrze
Linuksa. Jej cele to:
- dostarczenie podstawowego API do PCM i miksera
- jeśli coś nie jest absolutnie konieczne, nie należy dodawać tego do
  API
- unikanie wspierania złożonych i niepotrzebnych operacji, które można
  obsłużyć na wyższym poziomie

%package devel
Summary:	Header files for tinyalsa library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki tinyalsa
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for tinyalsa library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki tinyalsa.

%package static
Summary:	Static tinyalsa library
Summary(pl.UTF-8):	Statyczna biblioteka tinyalsa
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static tinyalsa library.

%description static -l pl.UTF-8
Statyczna biblioteka tinyalsa.

%package tools
Summary:	Utilities for tinyalsa library
Summary(pl.UTF-8):	Programy narzędziowe do biblioteki tinyalsa
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description tools
Utilities for tinyalsa library.

%description tools -l pl.UTF-8
Programy narzędziowe do biblioteki tinyalsa.

%prep
%setup -q
%patch0 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	CPPFLAGS="%{rpmcppflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix} \
	LIBDIR=%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NOTICE README.md
%attr(755,root,root) %{_libdir}/libtinyalsa.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtinyalsa.so
%{_includedir}/tinyalsa
%{_mandir}/man3/tinyalsa-mixer.3*
%{_mandir}/man3/tinyalsa-pcm.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libtinyalsa.a

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/tinycap
%attr(755,root,root) %{_bindir}/tinymix
%attr(755,root,root) %{_bindir}/tinypcminfo
%attr(755,root,root) %{_bindir}/tinyplay
%{_mandir}/man1/tinycap.1*
%{_mandir}/man1/tinymix.1*
%{_mandir}/man1/tinypcminfo.1*
%{_mandir}/man1/tinyplay.1*
%changelog
* Sun Oct 09 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tinyalsa.git;a=log;h=master

* Sat Oct 08 2016 Jakub Bogusz <qboosh@pld-linux.org> db7fa80
- updated to 1.0.2 release
- removed obsolete make patch
- added soname patch (set SONAME in library)
- added -static, moved programs to -tools

* Mon Apr 25 2016 Jakub Bogusz <qboosh@pld-linux.org> e25fd35
- rel .2 (x32 rebuild)

* Sat Jul 26 2014 Jakub Bogusz <qboosh@pld-linux.org> 7d6cca3
- new

